#
# spec file for package J7Z
#
# Copyright (c) 2002-2013 Jörg Lorenzen <joerg.lorenzen@ki.tng.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           J7Z
Summary:        A P7Zip GUI for Linux to simplify data compression and backup
Version:        1.2.0.svn20130209
Release:        1.2
URL:            http://k7z.sourceforge.net/
Source:         J7Z-%{version}.tar.xz
License:        LGPL-3.0
Group:          Productivity/Archiving/Compression
Requires:       p7zip
Requires:       java >= 1.6
BuildRequires:  ant >= 1.8.0
BuildRequires:  java-devel >= 1.6
BuildRequires:  p7zip
BuildRequires:  kde4-filesystem
BuildRequires:  update-desktop-files
BuildRequires:  fdupes
%if 0%{?suse_version} < 1220
BuildRequires:  xz
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%package kde4
Summary:        KDE4 servicemenu for J7Z
Group:          Productivity/Archiving/Compression
Requires:       J7Z
%kde4_runtime_requires

%description kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%prep
%setup -q -n J7Z-%{version}
%__sed -i -e 's|Qt;KDE;Utility;Archiving;Compression|Qt;KDE;Utility;Archiving;|g' \
	Desktop/Menu/J7Z.desktop

%build
pushd Build
	%__make
popd

%install
pushd Build
	%__make Install.AllUsers \
		DESTDIR=%{buildroot}
popd

%suse_update_desktop_file %{name} Utility Archiving

echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/Menu/J7Z.desktop

%fdupes %buildroot

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/J7Z.sh
%{_datadir}/J7Z/
%{_datadir}/applications/J7Z.desktop
%{_datadir}/icons/hicolor/16x16/actions/*.png
%{_datadir}/icons/hicolor/32x32/apps/J7Z.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/actions
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps

%files kde4
%defattr(-, root, root)
%{_kde4_servicesdir}/ServiceMenus/*.desktop

%changelog
* Sat Nov  9 2013 joerg.lorenzen@ki.tng.de
- Initial package, version 1.2.0.svn20130209
